#ifdef _WIN64
#pragma comment(lib, "../lib/win64/DocExtractor.lib")
#else
#pragma comment(lib, "../lib/win32/DocExtractor.lib")
#endif

#include <cstdio>
#include <string>
#include <vector>
#include "DocExtractor.h"

using namespace std;

int main(void)
{

	if (DE_Init("../", 0, "") == 0)
	{
		printf("ʼʧ");
		printf("...");
		getchar();
		return 0;
	}

	string content = "<td width=\"92%\"><font color=\"red\">»</font>찲Ź㳡101յ磨ΰ½ɵڡսİУͻӹװ05ʽ...</td>";

	printf("Ϊ\n%s\n", content.c_str());

	int score = DE_ComputeSentimentDoc(content.c_str());
	printf("--->score--->%d\n", score);
	DOC_PARSER_HANDLE handle = DE_ParseDocE(content.c_str(), "mgc#ngd", true, ALL_REQUIRED);

	printf("ȡΪ-->%s\n", DE_GetResult(handle, 0));
	printf("ȡĵΪ-->%s\n", DE_GetResult(handle, 1));
	printf("ȡĻΪ-->%s\n", DE_GetResult(handle, 2));
	printf("ȡĹؼΪ-->%s\n", DE_GetResult(handle, 3));
	printf("ȡΪ-->%s\n", DE_GetResult(handle, 4));
	printf("ȡýΪ-->%s\n", DE_GetResult(handle, 5));
	printf("ȡ¶ӦڹΪ-->%s\n", DE_GetResult(handle, 6));
	printf("ȡ¶ӦʡΪ-->%s\n", DE_GetResult(handle, 7));
	printf("ȡժҪΪ-->%s\n", DE_GetResult(handle, 8));
	printf("µдΪ-->%s\n", DE_GetResult(handle, 9));
	printf("µĸд-->%s\n", DE_GetResult(handle, 10));
	printf("ȥҳȱǩ-->%s\n", DE_GetResult(handle, 11));

	// printf("ȥո:" + Regex.Replace(docExtractor.DE_GetResult(handle, 11), "[*| *| *|//s*]*", ""));

	printf("Զ(mgc)-->%s\n", DE_GetResult(handle, 12));
	printf("ֵ---->%d\n", DE_GetSentimentScore(handle));
	DE_ReleaseHandle(handle);


	DE_Exit();

	printf("");
	printf("...");
	getchar();

	return 0;
}